# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82"
name = "nowaki"
version = "0.9.0"
authors = ["Voredge <dev@voredge.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A fast full-stack web framework with a Rust toolchain and islands architecture"
homepage = "https://nowaki.dev"
readme = "README.md"
keywords = [
    "web",
    "framework",
    "fullstack",
    "islands",
    "ssr",
]
categories = [
    "web-programming",
    "development-tools",
    "command-line-utilities",
]
license = "MIT"
repository = "https://github.com/nowaki-dev/nowaki"

[[bin]]
name = "nowaki"
path = "src/main.rs"

[[test]]
name = "cli"
path = "tests/cli.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.axum]
version = "0.8.9"
features = ["ws"]

[dependencies.clap]
version = "4.6.1"
features = ["derive"]

[dependencies.notify]
version = "8.2.0"

[dependencies.nowaki-core]
version = "0.9.0"

[dependencies.reqwest]
version = "0.13.4"
features = ["http2"]
default-features = false

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.150"

[dependencies.tokio]
version = "1.52.3"
features = ["full"]
